MEMORY
{
    RAM (rwx) : ORIGIN = 0x80000000, LENGTH = 0x10000000
}

BiosUartRead = 0x0d4;
BiosUartWrite = 0x22c;
BiosWozmon = 0x340;
BiosUartWriteNibble = 0x324;

SECTIONS
{
    .text :
    {
        _text_begin = .;
        KEEP(*(.start))

        *(.text*)
        _text_end = .;

        *(.rodata*)
    } > RAM

    .init :
    {
        __init_array_start = .;
        KEEP(*(.init_array*))
        __init_array_end = .;
    }

    .bss (NOLOAD) :
    {
        _bss_begin = .;
        *(.bss*)
        *(.sbss*)
        *(COMMON)
        _bss_end = .;
    } > RAM

    .data :
    {
        *(.data*)
    } > RAM

    _heap_begin = .;

    _initial_stack_pointer = 0x90000000;
    _heap_end = 0x8f000000; /* leave 1M for the stack */
}
